EDIT - feature request #9545

Remove "External Link type" completely
03/24/2021 10:01 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.22

Severity: blocker

Description

There is no real need for the ExternalLink.type attribute as today browsers all know how to open e.g. pdf. This was a reason times
ago to have a switch between html based protologues and file base protologues for display in dataportal.

In future we may think about internally storing MimeType instead as we do for MediaRepresentation. Or we may even diskuss to
merge ExternalLink and MediaRepresentation class. See also #9067.

For now | make this a TaxEditor ticket as it should be removed in TaxEditor primarily to improve Ul layout. Once this is done we can
make it a model ticket.

Related issues:
Related to EDIT - feature request #9067: [DISCUSS] Allow media to support ext... Closed
Related to EDIT - feature request #9546: [DISCUSS] Merge ExternalLink and Med... New

Associated revisions

Revision 3470949e - 03/26/2021 10:08 AM - Katja Luther

fix #9545: remove external link type

Revision 0899d61e - 03/26/2021 12:33 PM - Katja Luther

fix #9545: remove external link type

History

#1 - 03/24/2021 10:01 AM - Andreas Miiller
- Related to feature request #9067: [DISCUSS] Allow media to support external links not being files added

#2 - 03/24/2021 10:52 AM - Andreas Miiller
- Related to feature request #9546: [DISCUSS] Merge ExternalLink and MediaRepresentation added

#3 - 03/26/2021 10:08 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|3470949e9aa012a03d23c1b0e44603ed698ee056.

#4 - 03/26/2021 10:08 AM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller

- Severity changed from major to blocker

please review

#5 - 03/30/2021 01:18 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100
https://dev.e-taxonomy.eu/redmine/issues/9067
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/3470949e9aa012a03d23c1b0e44603ed698ee056

#6 - 04/16/2021 09:05 PM - Andreas Miiller

- Subject changed from Remove "External Link" type completely to Remove "External Link type" completely

#7 - 06/03/2021 11:26 AM - Andreas Miiller
- Tags deleted (fast)
